# Mise en place de Caddy et d'ufw pour le serveur GLPI

Ce rôle sert à installer Caddy sur la machine **s-itil**, avant de configurer un proxy inverse pour que GLPI soit accessible par HTTPS. Il permet aussi d'installer *ufw* afin d'avoir un pare-feu qui autorise les ports 22, 80, et 443.

## Mise en place de Caddy

Le playbook se charge d'installer la version 2.6 du paquet Caddy depuis les dépôts Debian, avant de copier le fichier Caddyfile qui contient la configuration pour le proxy inverse et pour le HTTPS, en plus de masquer le port 8080 utilisé par GLPI. Enfin, le playbook modifie la configuration de nginx pour refléter ces changements, tout en redémarrant les services de nginx et Caddy avant d'activer le service de Caddy au démarrage.

## Mise en place du pare-feu ufw

Le playbook installe ensuite le paquet ufw, avant de créer les règles du pare-feu via des commandes shell avec les modules ansible.builtin.command. Les ports autorisés à travers le pare-feu sont les ports **22**, **80** et **443**. Le module ansible.builtin.shell vers la fin permet d'activer le pare-feu au démarrage et immédiatement tout en passant un "yes" comme réponse car cette commande demande confirmation.
